# Class UnsupportedAudioFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.sound.sampled.UnsupportedAudioFileException

All Implemented Interfaces:
  `Serializable`

public class UnsupportedAudioFileException extends Exception
An `UnsupportedAudioFileException` is an exception indicating that an operation failed because a file did not contain valid data of a recognized file type and format.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnsupportedAudioFileException()`
Constructs an `UnsupportedAudioFileException` that has `null` as its error detail message.
`UnsupportedAudioFileException(String message)`
Constructs an `UnsupportedAudioFileException` that has the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnsupportedAudioFileException

public UnsupportedAudioFileException()
Constructs an `UnsupportedAudioFileException` that has `null` as its error detail message.

### UnsupportedAudioFileException

public UnsupportedAudioFileException(String message)
Constructs an `UnsupportedAudioFileException` that has the specified detail message.

Parameters:
  `message` - a string containing the error detail message